libtest-minimumversion-perl_0.101081-1_all.deb


Advertisement

Description

libtest-minimumversion-perl - Perl test module to check the version of perl required

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libtest-minimumversion-perl
Package version: 0.101081
Package release: 1
Package architecture: all
Package type: deb
Installed size: 52 B
Download size: 9.06 KB
Official Mirror: ftp.br.debian.org
Test::MinimumVersion is a simple test to look at the features you are using in your code and determine the minimum version of the perl interpreter that is required. This is helpful, for example, when you are using features like 'say' which was introduced in Perl 5.10. This test makes it easy to determine if your Perl code requires a newer perl than expected, or if you accidentally made your dist require a newer version than strictly necessary.

    Download

    Source package: libtest-minimumversion-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libtest-minimumversion-perl deb package:
      # sudo apt-get install libtest-minimumversion-perl

    Files

    • /usr/share/doc/libtest-minimumversion-perl/changelog.Debian.gz
    • /usr/share/doc/libtest-minimumversion-perl/changelog.gz
    • /usr/share/doc/libtest-minimumversion-perl/copyright
    • /usr/share/man/man3/Test::MinimumVersion.3pm.gz
    • /usr/share/perl5/Test/MinimumVersion.pm

    Changelog

    2013-12-05 - Salvatore Bonaccorso <carnil@debian.org> libtest-minimumversion-perl (0.101081-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Email change: Salvatore Bonaccorso -> carnil@debian.org [ gregor herrmann ] * Remove version from perl (build) dependency. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ Salvatore Bonaccorso ] * Imported Upstream version 0.101081 * Drop (build-)dependency for libyaml-tiny-perl * Update (build-)dependency for libperl-minimumversion-perl. Update Build-Depends-Indep and Depends on libperl-minimumversion-perl to a versioned dependency on (>= 1.32). * Add (build-)dependency for CPAN::Meta. Add alternative Build-Depends-Indep and Depends on perl (>= 5.13.10) or libcpan-meta-perl. * Update Debhelper compat level to 8. Adjust versioned Build-Depends on debhelper to (>= 8) * Update copyright years for debian/* packaging * Bump Standards-Version to 3.9.5 * Explicitly refer to GPL-1 license text in common-licenses * Refer to Debian systems in general instead of only Debian GNU/Linux

    2010-04-20 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libtest-minimumversion-perl (0.101080-1) unstable; urgency=low * New upstream release - fixes Perl 5.12 related test failures in other modules (Closes: #578487). * Add myself to Uploaders. * Refresh debian/copyright: Update Copyright for debian/* packaging. * Remove comment lines in debian/watch file.

    2010-04-18 - gregor herrmann <gregoa@debian.org> libtest-minimumversion-perl (0.101050-1) unstable; urgency=low * New upstream release. * debian/copyright: bump Format-Specification, update years of upstream copyright, remove info about removed third-party files. * Explicitly (build) depend on libfile-find-rule-perl. * Add /me to Uploaders. * Set Standards-Version to 3.8.4 (no changes). * Convert to source format 3.0 (quilt).

    2010-01-17 - Jonathan Yu <jawnsy@cpan.org> libtest-minimumversion-perl (0.013-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Update to new DEP5 copyright format * Standards-Version 3.8.3 (drop perl version dep) * Update dependencies per upstream [ Ryan Niebur ] * Update jawnsy's email address * Update ryan52's email address

    2009-06-29 - Jonathan Yu <frequency@cpan.org> libtest-minimumversion-perl (0.011-1) unstable; urgency=low * New upstream release + Behaves better with subtests * Added /me to Uploaders and Copyright * Fixed the control description so it's clearer * Standards-Version 3.8.2 [ Nathan Handler ] * debian/watch: Update to ignore development releases.

    2009-05-31 - Ryan Niebur <ryanryan52@gmail.com> libtest-minimumversion-perl (0.010-1) unstable; urgency=low * New upstream release * update dh7 usage

    2009-04-24 - Ryan Niebur <ryanryan52@gmail.com> libtest-minimumversion-perl (0.009-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Ryan Niebur ] * New upstream release * Add myself to Uploaders * Debian Policy 3.8.1 * machine readable copyright format [ gregor herrmann ] * Bump versioned dependency on libperl-minimumversion-perl to >= 1.20.

    2008-08-15 - Vincent Danjean <vdanjean@debian.org> libtest-minimumversion-perl (0.008-1) unstable; urgency=low * Initial release. (Closes: #495198: ITP: libtest-minimumversion-perl -- perl module to test if code requires newer perl than expected)

    Advertisement
    Advertisement